ARP(8C)

NAME
arp - address resolution display and control

SYNOPSIS
arp hostname

arp -a [ vmunix [ kmem ] ]

arp -d hostname

arp -s hostname ether_address [ temp ] [ pub ] [ trail ]

arp -f filename

DESCRIPTION
The arp program displays and modifies the Internet-to-Ethernet address translation tables used by the address resolution protocol (arp(4P)).

With no flags, the program displays the current ARP entry for hostname. The host may be specified by name or by number, using Internet dot notation.

OPTIONS

-a  Display all of the current ARP entries by reading the table from the file kmem (default /dev/kmem) based on the kernel file vmunix (default /vmunix).

-d  Delete an entry for the host called hostname. This option may only be used by the super-user.

-s  Create an ARP entry for the host called hostname with the Ethernet address ether_address. The Ethernet address is given as six hex bytes separated by colons. The entry will be permanent unless the word temp is given in the command. If the word pub is given, the entry will be published, for instance, this system will respond to ARP requests for hostname even though the hostname is not its own. The word trail indicates that trailer encapsulations may be sent to this host.

-f  Read the file named filename and set multiple entries in the ARP tables. Entries in the file should be of the form

        hostname ether_address [ temp ] [ pub ] [ trail ]

    with argument meanings as given above.

SEE ALSO
arp(4P), ifconfig(8C)